GET /query.json

nytimes.com:geo_api

Summary: Geographic API
Operation ID:
Auth: unknown
Description

Geographic API

Parameters (12)

date_range (string, query, optional)

Start date to end date in the following format- YYYY-MM-DD:YYYY-MM-DD

elevation (integer, query, optional)

The elevation of the specified place, in meters.

facets (integer, query, optional, default: 0)

When facets is set to 1, a count of all facets will be included in the response.

Constraints: {'enum': [0, 1]}

filter (string, query, optional)

Filters search results based on the facets provided. For more information on the values you can filter on, see Facets.

latitude (string, query, optional)

The latitude of the specified place.

limit (integer, query, optional, default: 20)

Limits the number of results returned

longitude (string, query, optional)

The longitude of the specified place.

name (string, query, optional)

A displayable name for the specified place.

offset (integer, query, optional, default: 0)

Sets the starting point of the result set

query (string, query, optional)

Search keywords to perform a text search on the fields: web_description, event_name and venue_name. 'AND' searches can be performed by wrapping query terms in quotes. If you do not specify a query, all results will be returned.

sort (string, query, optional)

Sorts your results on the fields specified. <br/> `sort_value1+[asc | desc],sort_value2+[asc|desc],[...]`<br/> Appending +asc to a facet or response will sort results on that value in ascending order. Appending +desc to a facet or response will sort results in descending order. You can sort on multiple fields. You can sort on any facet. For the list of responses you can sort on, see the Sortable Field column in the Response table. <br/><br/>If you are doing a spatial search with the ll parameter, you can also sort by the distance from the center of the search: dist+[asc | desc] <br/> **Note:** either +asc or +desc is required when using the sort parameter.

sw (string, query, optional)

Along with ne, forms a bounded box using the longitude and latitude coordinates specified as the southwest corner. The search results are limited to the resulting box. Two float values, separated by a comma `latitude,longitude` <br/> The ne parameter is required to use this parameter.

No probe data for this endpoint yet.